Bug 118336 - [PATCH] multimedia/xmms: update to 1.2.11
Summary: [PATCH] multimedia/xmms: update to 1.2.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-29 21:10 UTC by Ulrich Spoerlein
Modified: 2008-01-22 20:50 UTC (History)
1 user (show)

See Also:


Attachments
xmms-1.2.11.patch (12.73 KB, patch)
2007-11-29 21:10 UTC, Ulrich Spoerlein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Spoerlein 2007-11-29 21:10:01 UTC
- Update to 1.2.11

Removed file(s):
- files/patch-Input-mpg123-mpg123.c
- files/patch-Input-vorbis-fileinfo.c
- files/patch-libxmms-configfile.h
- files/patch-libxmms-dirbrowser.h
- files/patch-libxmms-titlestring.h
- files/patch-libxmms-xmmsctrl.h

Port maintainer (esk@ira.uka.de) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2007-11-29 21:10:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Stefan Walter freebsd_committer 2007-12-22 13:42:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 3 dfilter service freebsd_committer 2007-12-22 13:48:54 UTC
stefan      2007-12-22 13:48:45 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/xmms      Makefile distinfo pkg-plist 
    multimedia/xmms/files patch-am64 patch-ltmain.sh 
  Removed files:
    multimedia/xmms/files patch-Input-mpg123-mpg123.c 
                          patch-Input-vorbis-fileinfo.c 
                          patch-libxmms-configfile.h 
                          patch-libxmms-dirbrowser.h 
                          patch-libxmms-titlestring.h 
                          patch-libxmms-xmmsctrl.h 
  Log:
  Update to 1.2.11.
  
  PR:             118336
  Submitted by:   Ulrich Spoerlein <uspoerlein@gmail.com>
  Approved by:    maintainer timeout (>3 weeks)
  
  Revision  Changes    Path
  1.91      +1 -23     ports/multimedia/xmms/Makefile
  1.23      +3 -6      ports/multimedia/xmms/distinfo
  1.2       +0 -11     ports/multimedia/xmms/files/patch-Input-mpg123-mpg123.c (dead)
  1.2       +0 -108    ports/multimedia/xmms/files/patch-Input-vorbis-fileinfo.c (dead)
  1.2       +4 -30     ports/multimedia/xmms/files/patch-am64
  1.2       +0 -11     ports/multimedia/xmms/files/patch-libxmms-configfile.h (dead)
  1.2       +0 -11     ports/multimedia/xmms/files/patch-libxmms-dirbrowser.h (dead)
  1.2       +0 -11     ports/multimedia/xmms/files/patch-libxmms-titlestring.h (dead)
  1.2       +0 -11     ports/multimedia/xmms/files/patch-libxmms-xmmsctrl.h (dead)
  1.4       +1 -4      ports/multimedia/xmms/files/patch-ltmain.sh
  1.26      +1 -4      ports/multimedia/xmms/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Stefan Walter freebsd_committer 2007-12-22 13:48:57 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 5 akeda 2007-12-24 14:03:55 UTC
What is reason for deleting this section

-.if defined(WITH_ENCODING_PATCH) || defined(WITH_ID3V2_PATCH)
-ENC_PATCHLEVEL= 28.1
-DISTFILES+=     ${PORTNAME}-${PORTVERSION}-recode-csa${ENC_PATCHLEVEL}${EXTRACT_SUFX}:enc
-MASTER_SITES+=  ${MASTER_SITE_SOURCEFORGE:S/$/:enc/}
-MASTER_SITE_SUBDIR+=    rusxmms/:enc
-.endif
-
-.if defined(WITH_ENCODING_PATCH)
-PLIST_SUB+=     ENCODING=""
-.else
-PLIST_SUB+=     ENCODING="@comment "
-.endif
-

and so on - port russian/xmms use WITH_ENCODING_PATCH and with this patch charset display correct.
Comment 6 Stefan Walter freebsd_committer 2008-01-20 17:28:44 UTC
Hi,

sorry for the long delay, I didn't get to do FreeBSD stuff recently.

I have to admit I didn't really check if removing this section was
necessary. Ulrich, can you comment on this?

Regards and thanks,
Stefan
Comment 7 Ulrich Spoerlein 2008-01-21 08:18:39 UTC
Hi Stefan,

if you are talking about the encoding patches and KOI8-R autodetection
then please see PR ports/119187

http://www.freebsd.org/cgi/query-pr.cgi?pr=119187

Uli
Comment 8 Stefan Walter freebsd_committer 2008-01-22 20:44:15 UTC
Ulrich Spoerlein, 21.01.08, 09:18h CET:

> Hi Stefan,
> 
> if you are talking about the encoding patches and KOI8-R autodetection
> then please see PR ports/119187
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=119187

Ah, OK, I hadn't noticed that one.

Thanks,
Stefan